program modern_program_part1;

uses 'modern_program_variables.pas';

function ShowScriptOptions: string;
var
	s: string;
	sl: TStringList;
	f: TForm;
	b, btnDefault: TButton;
	edPopularGenres: TEdit;
	labPopularGenres: TLabel;
	edLinesMovies: TEdit;
	labLinesMovies: TLabel;
	edLinesPeople: TEdit;
	labLinesPeople: TLabel;    
	edShots: TEdit;
	labShots: TLabel;
	edPhotos: TEdit;
	labPhotos, labRemoveAdult: TLabel;
	boxUseRating: TCheckBox;
	boxUseSiteRating: TCheckBox;
	boxUseLastUpdated: TCheckBox;
	boxShowEditions: TCheckBox;
	boxDummyCovers: TCheckBox;
	boxShowCoversInList: TCheckBox;
	boxHideNavi, boxHidePhotosCovers, boxShowFileNames: TCheckBox;
	boxShowAwards, boxShowSeasons, boxMinimaList, boxPersonStatsInCollection: TCheckBox;
	boxShotTab, boxPosterTab, boxAwardsTab, boxActorTab, boxParameterTab, boxLoanTab, boxSeasonTab, boxDescriptionTab, boxTrailerTab: TCheckBox;
	tabGroup, multiThumbGroup, filmographyGroup: TGroupBox;
	labMaxCoverSize, labCoverX, labThumbCellSize, labThumbCellX, labMaxPhotoSize, labThPhotoCellSize, labPhotoX, labThPhotoCellX, labThumbSize: TLabel;
	edThCoverWidth, edThCoverHeight, edThumbCellWidth, edThumbCellHeight, edThPhotoWidth, edThPhotoHeight, edThPhotoCellWidth, edThPhotoCellHeight, edThumbSize: TEdit;
	boxCutThumb, boxCutPhotoThumb, boxUseThumbs: TCheckBox;
	my_value: Integer;
	boxOnlyMoviesInCollection, boxShowInCollectionIcon, boxShowSeenIcon, boxShowWantedIcon, boxShowForSaleIcon, boxIconsOnTheRight, boxSortIcons, boxOnlyShots: TCheckBox;

procedure RemoveAdultClick(Sender: TLabel);

begin
	sl := TStringList.Create;
	with sl do begin
		Clear;
		Add('DELETE FROM partners');
		Add('WHERE url=''http://www.adultdvdempire.com/''');
	end;
	ExecuteSQL(sl.text);
	sl.Free;
	TLabel(Sender).Caption := GetLangStr(1460);
end;

procedure BtnDefaultClick(Sender: TButton);
begin
	edPopularGenres.Text := '6';
	edShots.Text := '3';
	edPhotos.Text := '3';
	edThCoverWidth.Text := IntToStr(DefaultMultiCoverWidth);
	edThCoverHeight.Text := IntToStr(DefaultMultiCoverHeight);
	edThumbCellWidth.Text := IntToStr(DefaultMultiCellWidth);
	edThumbCellHeight.Text := IntToStr(DefaultMultiCellHeight);
	boxCutThumb.Checked := True;
	edThPhotoWidth.Text := IntToStr(DefaultMultiCoverWidth);
	edThPhotoHeight.Text := IntToStr(DefaultMultiCoverHeight);
	edThumbSize.Text := IntToStr(DefaultThumbWidth);
	boxCutPhotoThumb.Checked := True;
	boxUseRating.Checked := True;
	boxUseSiteRating.Checked := True;
	boxUseLastUpdated.Checked := False;
	boxShowEditions.Checked := False;
	boxDummyCovers.Checked := False;
	boxOnlyMoviesInCollection.Checked := False;
	boxHidePhotosCovers.Checked := False;
	boxShowFileNames.Checked := True;
	boxShowAwards.Checked := False;
	boxShowSeasons.Checked := False;
	boxShowCoversInList.Checked := True;
	boxMinimaList.Checked := False;
	boxPersonStatsInCollection.Checked := False;
	boxHideNavi.Checked := False;
	boxShotTab.Checked := True;
	boxPosterTab.Checked := True;
	boxAwardsTab.Checked := True;
	boxActorTab.Checked := True;
	boxParameterTab.Checked := True;
	boxLoanTab.Checked := False;
	boxSeasonTab.Checked := True;
	boxTrailerTab.Checked := True;
	boxDescriptionTab.Checked := False;
	boxUseThumbs.Checked := True;
	boxIconsOnTheRight.Checked := False;
	boxShowInCollectionIcon.Checked := True;
	boxShowSeenIcon.Checked := False;
	boxShowWantedIcon.Checked := False;
	boxShowForSaleIcon.Checked := False;
	boxSortIcons.Checked := False;
	boxOnlyShots.Checked := True;
end;

procedure ButtonClick(Sender: TButton);
var
	zn: integer;
begin
	try
		zn:=StrToInt(edPopularGenres.Text);
		RegWriteInteger('PopularGenresAmount', zn);
		zn:=StrToInt(edLinesMovies.Text);
		RegWriteInteger('LinesMovies', zn);
		zn:=StrToInt(edLinesPeople.Text);
		RegWriteInteger('LinesPeople', zn);
		zn:=StrToInt(edShots.Text);
		RegWriteInteger('ShotsCnt', zn);
		zn:=StrToInt(edPhotos.Text);
		RegWriteInteger('PhotosCnt', zn);
		zn:=StrToInt(edThCoverWidth.Text);
		RegWriteInteger('ThCoverWidth', zn);
		zn:=StrToInt(edThCoverHeight.Text);
		RegWriteInteger('ThCoverHeight', zn);
		zn:=StrToInt(edThumbCellWidth.Text);
		RegWriteInteger('ThumbCellWidth', zn);
		zn:=StrToInt(edThumbCellHeight.Text);
		RegWriteInteger('ThumbCellHeight', zn);
		zn:=StrToInt(edThPhotoWidth.Text);
		RegWriteInteger('ThPhotoWidth', zn);
		zn:=StrToInt(edThPhotoHeight.Text);
		RegWriteInteger('ThPhotoHeight', zn);
		zn:=StrToInt(edThumbSize.Text);
		RegWriteInteger('ThumbWidth', zn);
		if boxUseRating.Checked then
			zn := 1
		else
			zn := 0;
		RegWriteInteger('ShowRating', zn);	
		if boxUseSiteRating.Checked then
			zn := 1
		else
			zn := 0;
		RegWriteInteger('ShowSiteRating', zn);
		if boxUseLastUpdated.Checked then
			zn := 1
		else
			zn := 0;
		RegWriteInteger('ShowLastUpdated', zn);
		if boxShowEditions.Checked then
			zn := 1
		else
			zn := 0;
		RegWriteInteger('ShowEditions', zn);
		if boxDummyCovers.Checked then
			zn := 1
		else
			zn := 0;
		RegWriteInteger('ShowDummyCovers', zn);
		if boxShowCoversInList.Checked then
			zn := 1
		else
			zn := 0;
		RegWriteInteger('ShowCoversInList', zn);
		if boxOnlyMoviesInCollection.Checked then
			zn := 1
		else
			zn := 0;
		RegWriteInteger('ShowOnlyMoviesInCollection', zn);
		if boxHideNavi.Checked then
			zn := 1
		else
			zn := 0;
		RegWriteInteger('HideNavigationMenu', zn);
		if boxHidePhotosCovers.Checked then
			zn := 1
		else
			zn := 0;
		RegWriteInteger('HidePhotosCovers', zn);
		if boxShowFileNames.Checked then
			zn := 1
		else
			zn := 0;
		RegWriteInteger('ShowFileNames', zn);
		if boxShowAwards.Checked then
			zn := 1
		else
			zn := 0;
		RegWriteInteger('ShowAwardsOnGeneralTab', zn);
		if boxShowSeasons.Checked then
			zn := 1
		else
			zn := 0;
		RegWriteInteger('ShowSeasonsOnGeneralTab', zn);
		if boxMinimaList.Checked then
			zn := 1
		else
			zn := 0;
		RegWriteInteger('MinimaList', zn);
		if boxPersonStatsInCollection.Checked then
			zn := 1
		else
			zn := 0;
		RegWriteInteger('PersonStatsInCollection', zn);
		if boxShotTab.Checked then
			zn := 1
		else
			zn := 0;
		RegWriteInteger('ShowShotTab', zn);			
		if boxPosterTab.Checked then
			zn := 1
		else
			zn := 0;
		RegWriteInteger('ShowPosterTab', zn);
		if boxAwardsTab.Checked then
			zn := 1
		else
			zn := 0;
		RegWriteInteger('ShowAwardsTab', zn);
		if boxActorTab.Checked then
			zn := 1
		else
			zn := 0;
		RegWriteInteger('ShowActorTab', zn);
		if boxDescriptionTab.Checked then
			zn := 1
		else
			zn := 0;
		RegWriteInteger('ShowDescriptionTab', zn);
		if boxParameterTab.Checked then
			zn := 1
		else
			zn := 0;
		RegWriteInteger('ShowParameterTab', zn);
		if boxLoanTab.Checked then
			zn := 1
		else
			zn := 0;
		RegWriteInteger('ShowLoanTab', zn);
		if boxSeasonTab.Checked then
			zn := 1
		else
			zn := 0;
		RegWriteInteger('ShowSeasonTab', zn);
		if boxTrailerTab.Checked then
			zn := 1
		else
			zn := 0;
		RegWriteInteger('ShowTrailerTab', zn);
		if boxCutThumb.Checked then
			zn := 1
		else
			zn := 0;
		RegWriteInteger('CutThumb', zn);
		if boxCutPhotoThumb.Checked then
			zn := 1
		else
			zn := 0;
		RegWriteInteger('CutPhotoThumb', zn);
		if boxUseThumbs.Checked then
			zn := 1
		else
			zn := 0;
		RegWriteInteger('UseThumbs', zn);
		if boxIconsOnTheRight.Checked then
			zn := 1
		else
			zn := 0;
		RegWriteInteger('IconsOnTheRight', zn);
		if boxShowInCollectionIcon.Checked then
			zn := 1
		else
			zn := 0;
		RegWriteInteger('ShowInCollectionIcon', zn);
		if boxShowSeenIcon.Checked then
			zn := 1
		else
			zn := 0;
		RegWriteInteger('ShowSeenIcon', zn);
		if boxShowWantedIcon.Checked then
			zn := 1
		else
			zn := 0;
		RegWriteInteger('ShowWantedIcon', zn);
		if boxShowForSaleIcon.Checked then
			zn := 1
		else
			zn := 0;
		RegWriteInteger('ShowForSaleIcon', zn);
		if boxSortIcons.Checked then
			zn := 1
		else
			zn := 0;
		RegWriteInteger('SortIcons', zn);
		if boxOnlyShots.Checked then
			zn := 1
		else
			zn := 0;
		RegWriteInteger('OnlyShots', zn);

		RegWriteString('OriginalVersion', IntToStr(56));
		s:=GetLangStr(1334);
	except
	end;

	MultiShowRowHeight := RegReadInteger('ThumbCellHeight', DefaultMultiCellHeight);
	MultiShowImageWidth := RegReadInteger('ThumbCellWidth', DefaultMultiCellWidth);
	
	ClearThumb;
	ClearThumb(Thumbs);
	f.ModalResult := mrOk;
end;

begin
	s:=GetLangStr(1335);
	f := TForm.Create(nil);
	f.Caption := GetLangStr(1333);
	f.BorderStyle := bsDialog;
	f.Position := poScreenCenter;
	f.Width:=700;
	f.Height:=630;
	f.AutoSize:=false;

	labPopularGenres := TLabel.Create(f);
	labPopularGenres.Name := 'labPopularGenres';
	labPopularGenres.Parent := f;
	labPopularGenres.SetBounds(10, 20, 110, 25);
	labPopularGenres.Caption := GetLangStr(1300);

	edPopularGenres := TEdit.Create(f);
	edPopularGenres.Name := 'edPopularGenres';
	edPopularGenres.Parent := f;
	edPopularGenres.SetBounds(300, 20, 20, 25);
	edPopularGenres.Text := IntToStr(RegReadInteger('PopularGenresAmount', 6));
	
	labLinesMovies:=TLabel.Create(f);
	labLinesMovies.Name := 'labLinesMovies';
	labLinesMovies.Parent := f;
	labLinesMovies.SetBounds(10, 45, 110, 25);
	labLinesMovies.Caption := GetLangStr(1414);
	
	edLinesMovies := TEdit.Create(f);
	edLinesMovies.Name := 'edLinesMovies';
	edLinesMovies.Parent := f;
	edLinesMovies.SetBounds(300, 45, 20, 25);
	edLinesMovies.Text := IntToStr(RegReadInteger('LinesMovies', DefaultLinesMovies));
	
	labLinesPeople:=TLabel.Create(f);
	labLinesPeople.Name := 'labLinesPeople';
	labLinesPeople.Parent := f;
	labLinesPeople.SetBounds(10, 70, 110, 25);
	labLinesPeople.Caption := GetLangStr(1415);
	
	edLinesPeople := TEdit.Create(f);
	edLinesPeople.Name := 'edLinesPeople';
	edLinesPeople.Parent := f;
	edLinesPeople.SetBounds(300, 70, 20, 25);
	edLinesPeople.Text := IntToStr(RegReadInteger('LinesPeople', DefaultLinesPeople));
	
	labShots:=TLabel.Create(f);
	labShots.Name := 'labShots';
	labShots.Parent := f;
	labShots.SetBounds(10, 95, 110, 25);
	labShots.Caption := GetLangStr(1417);
	
	edShots := TEdit.Create(f);
	edShots.Name := 'edShots';
	edShots.Parent := f;
	edShots.SetBounds(300, 95, 20, 25);
	edShots.Text := IntToStr(RegReadInteger('ShotsCnt', 3));
	
	labPhotos:=TLabel.Create(f);
	labPhotos.Name := 'labPhotos';
	labPhotos.Parent := f;
	labPhotos.SetBounds(10, 120, 110, 25);
	labPhotos.Caption := GetLangStr(1418);
	
	edPhotos := TEdit.Create(f);
	edPhotos.Name := 'edPhotos';
	edPhotos.Parent := f;
	edPhotos.SetBounds(300, 120, 20, 25);
	edPhotos.Text := IntToStr(RegReadInteger('PhotosCnt', 3));
	
	multiThumbGroup := TGroupBox.Create(f);
	multiThumbGroup.Name := 'multiThumbGroup';
	multiThumbGroup.Parent := f;
	multiThumbGroup.SetBounds(330, 10, 360, 170);
	multiThumbGroup.Caption := GetLangStr(1467);
	
	labMaxCoverSize := TLabel.Create(f);
	labMaxCoverSize.Name := 'labMaxCoverSize';
	labMaxCoverSize.Parent := f;
	labMaxCoverSize.SetBounds(340, 35, 100, 25);
	labMaxCoverSize.Caption := GetLangStr(1468);
	
	edThCoverWidth := TEdit.Create(f);
	edThCoverWidth.Name := 'edThCoverWidth';
	edThCoverWidth.Parent := f;
	edThCoverWidth.SetBounds(600, 30, 30, 25);
	edThCoverWidth.Text := IntToStr(RegReadInteger('ThCoverWidth', DefaultMultiCoverWidth));
	
	labCoverX := TLabel.Create(f);
	labCoverX.Name := 'labCoverX';
	labCoverX.Parent := f;
	labCoverX.SetBounds(635, 35, 10, 20);
	labCoverX.Caption := 'X';
	
	edThCoverHeight := TEdit.Create(f);
	edThCoverHeight.Name := 'edThCoverHeight';
	edThCoverHeight.Parent := f;
	edThCoverHeight.SetBounds(650, 30, 30, 25);
	edThCoverHeight.Text := IntToStr(RegReadInteger('ThCoverHeight', DefaultMultiCoverHeight));
	
	labThumbCellSize := TLabel.Create(f);
	labThumbCellSize.Name := 'labThumbCellSize';
	labThumbCellSize.Parent := f;
	labThumbCellSize.SetBounds(340, 60, 100, 25);
	labThumbCellSize.Caption := GetLangStr(1469);
	
	edThumbCellWidth := TEdit.Create(f);
	edThumbCellWidth.Name := 'edThumbCellWidth';
	edThumbCellWidth.Parent := f;
	edThumbCellWidth.SetBounds(600, 55, 30, 25);
	edThumbCellWidth.Text := IntToStr(RegReadInteger('ThumbCellWidth', DefaultMultiCellWidth));
	
	labThumbCellX := TLabel.Create(f);
	labThumbCellX.Name := 'labThumbCellX';
	labThumbCellX.Parent := f;
	labThumbCellX.SetBounds(635, 60, 10, 20);
	labThumbCellX.Caption := 'X';
	
	edThumbCellHeight := TEdit.Create(f);
	edThumbCellHeight.Name := 'edThumbCellHeight';
	edThumbCellHeight.Parent := f;
	edThumbCellHeight.SetBounds(650, 55, 30, 25);
	edThumbCellHeight.Text := IntToStr(RegReadInteger('ThumbCellHeight', DefaultMultiCellHeight));
		
	boxCutThumb := TCheckBox.Create(f);
	boxCutThumb.Name := 'boxCutThumb';
	boxCutThumb.Parent := f;
	boxCutThumb.SetBounds(340, 80, 300, 20);
	boxCutThumb.Caption := GetLangStr(1471);
	my_value := RegReadInteger('CutThumb', 1);
	if my_value = 1 then
		boxCutThumb.Checked := True;
		
	labMaxPhotoSize := TLabel.Create(f);
	labMaxPhotoSize.Name := 'labMaxPhotoSize';
	labMaxPhotoSize.Parent := f;
	labMaxPhotoSize.SetBounds(340, 105, 100, 20);
	labMaxPhotoSize.Caption := GetLangStr(1472);
	
	edThPhotoWidth := TEdit.Create(f);
	edThPhotoWidth.Name := 'edThPhotoWidth';
	edThPhotoWidth.Parent := f;
	edThPhotoWidth.SetBounds(600, 100, 30, 25);
	edThPhotoWidth.Text := IntToStr(RegReadInteger('ThPhotoWidth', DefaultMultiCoverWidth));
	
	labPhotoX := TLabel.Create(f);
	labPhotoX.Name := 'labPhotoX';
	labPhotoX.Parent := f;
	labPhotoX.SetBounds(635, 105, 10, 20);
	labPhotoX.Caption := 'X';
	
	edThPhotoHeight := TEdit.Create(f);
	edThPhotoHeight.Name := 'edThPhotoHeight';
	edThPhotoHeight.Parent := f;
	edThPhotoHeight.SetBounds(650, 100, 30, 25);
	edThPhotoHeight.Text := IntToStr(RegReadInteger('ThPhotoHeight', DefaultMultiCoverHeight));
		
	boxCutPhotoThumb := TCheckBox.Create(f);
	boxCutPhotoThumb.Name := 'boxCutPhotoThumb';
	boxCutPhotoThumb.Parent := f;
	boxCutPhotoThumb.SetBounds(340, 125, 300, 20);
	boxCutPhotoThumb.Caption := GetLangStr(1474);
	my_value := RegReadInteger('CutPhotoThumb', 1);
	if my_value = 1 then
		boxCutPhotoThumb.Checked := True;
		
	filmographyGroup := TGroupBox.Create(f);
	filmographyGroup.Name := 'filmographyGroup';
	filmographyGroup.Parent := f;
	filmographyGroup.SetBounds(400, 190, 290, 170);
	filmographyGroup.Caption := GetLangStr(1481);
	
	boxOnlyMoviesInCollection := TCheckBox.Create(f);
	boxOnlyMoviesInCollection.Name := 'boxOnlyMoviesInCollection';
	boxOnlyMoviesInCollection.Parent := f;
	boxOnlyMoviesInCollection.SetBounds(410, 210, 250, 20);
	boxOnlyMoviesInCollection.Caption := GetLangStr(1482);
	my_value := RegReadInteger('ShowOnlyMoviesInCollection', 0);
	if my_value = 1 then
		boxOnlyMoviesInCollection.Checked := True;
		
	boxShowInCollectionIcon := TCheckBox.Create(f);
	boxShowInCollectionIcon.Name := 'boxShowInCollectionIcon';
	boxShowInCollectionIcon.Parent := f;
	boxShowInCollectionIcon.SetBounds(410, 230, 250, 20);
	boxShowInCollectionIcon.Caption := GetLangStr(1483);
	my_value := RegReadInteger('ShowInCollectionIcon', 1);
	if my_value = 1 then
		boxShowInCollectionIcon.Checked := True;
		
	boxShowSeenIcon := TCheckBox.Create(f);
	boxShowSeenIcon.Name := 'boxShowSeenIcon';
	boxShowSeenIcon.Parent := f;
	boxShowSeenIcon.SetBounds(410, 250, 250, 20);
	boxShowSeenIcon.Caption := GetLangStr(1484);
	my_value := RegReadInteger('ShowSeenIcon', 0);
	if my_value = 1 then
		boxShowSeenIcon.Checked := True;
		
	boxShowWantedIcon := TCheckBox.Create(f);
	boxShowWantedIcon.Name := 'boxShowWantedIcon';
	boxShowWantedIcon.Parent := f;
	boxShowWantedIcon.SetBounds(410, 270, 250, 20);
	boxShowWantedIcon.Caption := GetLangStr(1485);
	my_value := RegReadInteger('ShowWantedIcon', 0);
	if my_value = 1 then
		boxShowWantedIcon.Checked := True;
		
	boxShowForSaleIcon := TCheckBox.Create(f);
	boxShowForSaleIcon.Name := 'boxShowForSaleIcon';
	boxShowForSaleIcon.Parent := f;
	boxShowForSaleIcon.SetBounds(410, 290, 250, 20);
	boxShowForSaleIcon.Caption := GetLangStr(1486);
	my_value := RegReadInteger('ShowForSaleIcon', 0);
	if my_value = 1 then
		boxShowForSaleIcon.Checked := True;
		
	boxIconsOnTheRight := TCheckBox.Create(f);
	boxIconsOnTheRight.Name := 'boxIconsOnTheRight';
	boxIconsOnTheRight.Parent := f;
	boxIconsOnTheRight.SetBounds(410, 310, 250, 20);
	boxIconsOnTheRight.Caption := GetLangStr(1487);
	my_value := RegReadInteger('IconsOnTheRight', 0);
	if my_value = 1 then
		boxIconsOnTheRight.Checked := True;
		
	boxSortIcons := TCheckBox.Create(f);
	boxSortIcons.Name := 'boxSortIcons';
	boxSortIcons.Parent := f;
	boxSortIcons.SetBounds(410, 330, 250, 20);
	boxSortIcons.Caption := GetLangStr(1488);
	my_value := RegReadInteger('SortIcons', 0);
	if my_value = 1 then
		boxSortIcons.Checked := True;

	boxUseThumbs := TCheckBox.Create(f);
	boxUseThumbs.Name := 'boxUseThumbs';
	boxUseThumbs.Parent := f;
	boxUseThumbs.SetBounds(10, 510, 300, 20);
	boxUseThumbs.Caption := GetLangStr(1476);
	my_value := RegReadInteger('UseThumbs', 1);
	if my_value = 1 then
		boxUseThumbs.Checked := True;
		
	boxUseRating := TCheckBox.Create(f);
	boxUseRating.Name := 'boxUseRating';
	boxUseRating.Parent := f;
	boxUseRating.SetBounds(10, 140, 300, 20);
	boxUseRating.Caption := GetLangStr(1420);
	my_value := RegReadInteger('ShowRating', 1);
	if my_value=1 then
		boxUseRating.Checked := True;
		
	boxUseSiteRating := TCheckBox.Create(f);
	boxUseSiteRating.Name := 'boxUseSiteRating';
	boxUseSiteRating.Parent := f;
	boxUseSiteRating.SetBounds(10, 160, 300, 20);
	boxUseSiteRating.Caption := GetLangStr(1533);
	my_value := RegReadInteger('ShowSiteRating', 1);
	if my_value=1 then
		boxUseSiteRating.Checked := True;
		
	boxUseLastUpdated := TCheckBox.Create(f);
	boxUseLastUpdated.Name := 'boxUseLastUpdated';
	boxUseLastUpdated.Parent := f;
	boxUseLastUpdated.SetBounds(10, 180, 350, 20);
	boxUseLastUpdated.Caption := GetLangStr(1423);
	my_value := RegReadInteger('ShowLastUpdated', 0);
	if my_value=1 then
		boxUseLastUpdated.Checked := True;
		
	boxShowEditions := TCheckBox.Create(f);
	boxShowEditions.Name := 'boxShowEditions';
	boxShowEditions.Parent := f;
	boxShowEditions.SetBounds(10, 200, 350, 20);
	boxShowEditions.Caption := GetLangStr(1424);
	my_value := RegReadInteger('ShowEditions', 0);
	if my_value=1 then
		boxShowEditions.Checked := True;
		
	boxDummyCovers := TCheckBox.Create(f);
	boxDummyCovers.Name := 'boxDummyCovers';
	boxDummyCovers.Parent := f;
	boxDummyCovers.SetBounds(10, 220, 350, 20);
	boxDummyCovers.Caption := GetLangStr(1426);
	my_value := RegReadInteger('ShowDummyCovers', 0);
	if my_value=1 then
		boxDummyCovers.Checked := True;
	
		
	boxHidePhotosCovers := TCheckBox.Create(f);
	boxHidePhotosCovers.Name := 'boxHidePhotosCovers';
	boxHidePhotosCovers.Parent := f;
	boxHidePhotosCovers.SetBounds(10, 240, 380, 20);
	boxHidePhotosCovers.Caption := GetLangStr(1431);
	my_value := RegReadInteger('HidePhotosCovers', 0);
	if my_value=1 then
		boxHidePhotosCovers.Checked := True;
		
	boxShowFileNames := TCheckBox.Create(f);
	boxShowFileNames.Name := 'boxShowFileNames';
	boxShowFileNames.Parent := f;
	boxShowFileNames.SetBounds(10, 260, 350, 20);
	boxShowFileNames.Caption := GetLangStr(1432);
	my_value := RegReadInteger('ShowFileNames', 1);
	if my_value=1 then
		boxShowFileNames.Checked := True;
		
	boxShowAwards := TCheckBox.Create(f);
	boxShowAwards.Name := 'boxShowAwards';
	boxShowAwards.Parent := f;
	boxShowAwards.SetBounds(10, 280, 350, 20);
	boxShowAwards.Caption := GetLangStr(1433);
	my_value := RegReadInteger('ShowAwardsOnGeneralTab', 0);
	if my_value=1 then
		boxShowAwards.Checked := True;
		
	boxShowSeasons := TCheckBox.Create(f);
	boxShowSeasons.Name := 'boxShowSeasons';
	boxShowSeasons.Parent := f;
	boxShowSeasons.SetBounds(10, 300, 350, 20);
	boxShowSeasons.Caption := GetLangStr(1434);
	my_value := RegReadInteger('ShowSeasonsOnGeneralTab', 0);
	if my_value=1 then
		boxShowSeasons.Checked := True;

	boxShowCoversInList := TCheckBox.Create(f);
	boxShowCoversInList.Name := 'boxShowCoversInList';
	boxShowCoversInList.Parent := f;
	boxShowCoversInList.SetBounds(10, 320, 350, 20);
	boxShowCoversInList.Caption := GetLangStr(1427);
	my_value := RegReadInteger('ShowCoversInList', 1);
	if my_value=1 then
		boxShowCoversInList.Checked := True;
		
	boxMinimaList := TCheckBox.Create(f);
	boxMinimaList.Name := 'boxMinimaList';
	boxMinimaList.Parent := f;
	boxMinimaList.SetBounds(10, 340, 350, 20);
	boxMinimaList.Caption := GetLangStr(1436);
	my_value := RegReadInteger('MinimaList', 0);
	if my_value=1 then
		boxMinimaList.Checked := True;
		
	boxPersonStatsInCollection := TCheckBox.Create(f);
	boxPersonStatsInCollection.Name := 'boxPersonStatsInCollection';
	boxPersonStatsInCollection.Parent := f;
	boxPersonStatsInCollection.SetBounds(10, 360, 350, 20);
	boxPersonStatsInCollection.Caption := GetLangStr(1451);
	my_value := RegReadInteger('PersonStatsInCollection', 0);
	if my_value=1 then
		boxPersonStatsInCollection.Checked := True;
	
	boxHideNavi := TCheckBox.Create(f);
	boxHideNavi.Name := 'boxHideNavi';
	boxHideNavi.Parent := f;
	boxHideNavi.SetBounds(10, 380, 330, 20);
	boxHideNavi.Caption := GetLangStr(1430);
	my_value := RegReadInteger('HideNavigationMenu', 0);
	if my_value=1 then
		boxHideNavi.Checked := True;
	
	tabGroup := TGroupBox.Create(f);
	tabGroup.Name := 'tabGroup';
	tabGroup.Parent := f;
	tabGroup.SetBounds(10, 400, 500, 90);
	tabGroup.Caption := GetLangStr(1457);
	
	boxShotTab := TCheckBox.Create(f);
	boxShotTab.Name := 'boxShotTab';
	boxShotTab.Parent := f;
	boxShotTab.SetBounds(20, 420, 150, 20);
	boxShotTab.Caption := GetLangStr(1429);
	my_value := RegReadInteger('ShowShotTab', 1);
	if my_value=1 then
		boxShotTab.Checked := True;
		
	boxPosterTab := TCheckBox.Create(f);
	boxPosterTab.Name := 'boxPosterTab';
	boxPosterTab.Parent := f;
	boxPosterTab.SetBounds(20, 440, 150, 20);
	boxPosterTab.Caption := GetLangStr(1425);
	my_value := RegReadInteger('ShowPosterTab', 1);
	if my_value=1 then
		boxPosterTab.Checked := True;
		
	boxAwardsTab := TCheckBox.Create(f);
	boxAwardsTab.Name := 'boxAwardsTab';
	boxAwardsTab.Parent := f;
	boxAwardsTab.SetBounds(20, 460, 150, 20);
	boxAwardsTab.Caption := GetLangStr(574);
	my_value := RegReadInteger('ShowAwardsTab', 1);
	if my_value=1 then
		boxAwardsTab.Checked := True;
		
	boxActorTab := TCheckBox.Create(f);
	boxActorTab.Name := 'boxActorTab';
	boxActorTab.Parent := f;
	boxActorTab.SetBounds(180, 420, 150, 20);
	boxActorTab.Caption := GetLangStr(68);
	my_value := RegReadInteger('ShowActorTab', 1);
	if my_value=1 then
		boxActorTab.Checked := True;
		
	boxParameterTab := TCheckBox.Create(f);
	boxParameterTab.Name := 'boxParameterTab';
	boxParameterTab.Parent := f;
	boxParameterTab.SetBounds(180, 440, 150, 20);
	boxParameterTab.Caption := GetLangStr(447);
	my_value := RegReadInteger('ShowParameterTab', 1);
	if my_value=1 then
		boxParameterTab.Checked := True;
		
	boxLoanTab := TCheckBox.Create(f);
	boxLoanTab.Name := 'boxLoanTab';
	boxLoanTab.Parent := f;
	boxLoanTab.SetBounds(180, 460, 150, 20);
	boxLoanTab.Caption := GetLangStr(1440);
	my_value := RegReadInteger('ShowLoanTab', 0);
	if my_value=1 then
		boxLoanTab.Checked := True;
		
	boxSeasonTab := TCheckBox.Create(f);
	boxSeasonTab.Name := 'boxSeasonTab';
	boxSeasonTab.Parent := f;
	boxSeasonTab.SetBounds(340, 420, 150, 20);
	boxSeasonTab.Caption := GetLangStr(521);
	my_value := RegReadInteger('ShowSeasonTab', 1);
	if my_value=1 then
		boxSeasonTab.Checked := True;
		
	boxTrailerTab := TCheckBox.Create(f);
	boxTrailerTab.Name := 'boxTrailerTab';
	boxTrailerTab.Parent := f;
	boxTrailerTab.SetBounds(340, 440, 150, 20);
	boxTrailerTab.Caption := GetLangStr(1458);
	my_value := RegReadInteger('ShowTrailerTab', 1);
	if my_value=1 then
		boxTrailerTab.Checked := True;		
		
	boxDescriptionTab := TCheckBox.Create(f);
	boxDescriptionTab.Name := 'boxDescriptionTab';
	boxDescriptionTab.Parent := f;
	boxDescriptionTab.SetBounds(340, 460, 150, 20);
	boxDescriptionTab.Caption := GetLangStr(162);
	my_value := RegReadInteger('ShowDescriptionTab', 0);
	if my_value=1 then
		boxDescriptionTab.Checked := True;
		
	sl := TStringList.Create;
	with sl do begin
		Clear;
		Add('SELECT * FROM partners');
		Add('WHERE url=''http://www.adultdvdempire.com/''');
	end;
	my_value := ExecuteSQL(sl.text);
	sl.Free;
	if my_value > 0 then begin
		labRemoveAdult := TLabel.Create(f);
		labRemoveAdult.Name := 'labRemoveAdult';
		labRemoveAdult.Parent := f;
		labRemoveAdult.SetBounds(10, 490, 350, 20);
		labRemoveAdult.Caption := GetLangStr(1459);
		labRemoveAdult.Cursor := crHandPoint;
		labRemoveAdult.Font.Color := clHotlight;
		labRemoveAdult.OnClick := @RemoveAdultClick;
	end;
	
	boxOnlyShots := TCheckBox.Create(f);
	boxOnlyShots.Name := 'boxOnlyShots';
	boxOnlyShots.Parent := f;
	boxOnlyShots.SetBounds(10, 530, 350, 20);
	boxOnlyShots.Caption := GetLangStr(1489);
	my_value := RegReadInteger('OnlyShots', 1);
	if my_value=1 then
		boxOnlyShots.Checked := True;
		
	labThumbSize := TLabel.Create(f);
	labThumbSize.Name := 'labThumbSize';
	labThumbSize.Parent := f;
	labThumbSize.SetBounds(360, 530, 280, 20);
	labThumbSize.Caption := GetLangStr(1497);
	
	edThumbSize := TEdit.Create(f);
	edThumbSize.Name := 'edThumbSize';
	edThumbSize.Parent := f;
	edThumbSize.SetBounds(600, 530, 30, 25);
	edThumbSize.Text := IntToStr(RegReadInteger('ThumbWidth', DefaultThumbWidth));

	btnDefault := TButton.Create(f);
	btnDefault.Name := 'btnDefault';
	btnDefault.Parent := f;
	btnDefault.SetBounds(20, 560, 160, 25);
	btnDefault.Caption := GetLangStr(1475);
	btnDefault.OnClick := @BtnDefaultClick;
	
	b := TButton.Create(f);
	b.Name := 'btnOK';
	b.Parent := f;
	b.SetBounds(300, 560, 80, 25);
	b.Caption := '&OK';
	b.OnClick := @ButtonClick;

	f.ShowModal;
	f.Free;

	result:=s;
end;

function ShowLoanManagerMicro(EditionCode, MovieCode: Integer): string;
var
	sl: TStringList;
	i, RecordCount, dd, mm, yy, loc_code: Integer;
	s, loc_name, day, month, year, due_date, loan_date: String;
	f: TForm;
	b: TButton;
	labDueDate, labComment, labLocation: TLabel;
	comboLocation: TComboBox;
	edComment, edDueDate: TEdit;
	
procedure ButtonClick(Sender: TButton);
begin
	s := GetLangStr(1439);
	sl := TStringList.Create;
	with sl do begin
		Clear;
		Add('SELECT l.location from loans l');
		Add('JOIN manuals m on m.code=l.location');
		Add(format('WHERE m.name=''%s''', [comboLocation.Items[comboLocation.ItemIndex]]));
	end;
	RecordCount := ExecuteSQL(sl.text);
	loc_code := GetIntegerField('l.location');
	if (edDueDate.Text <> '') then begin
		year := copy(edDueDate.Text, 1, 2);
		month := copy(edDueDate.Text, 4, 2);
		day := copy(edDueDate.Text, 7, 2);
		try
			dd := StrToInt(day);
			mm := StrToInt(month);
			yy := StrToInt(year);
		except
			ShowMessage(GetLangStr(1444));
		end;
	end;
	if ((dd>0) and (mm>0) and (yy>0)) or (edDueDate.Text = '') then begin
		due_date := format('%d/%d/20%d', [mm, dd, yy]);
		DecodeDate(Date, yy, mm, dd);
		loan_date := format('%d/%d/%d', [mm, dd, yy]);
		if edDueDate.Text = '' then
			due_date := '';
		with sl do begin
			Clear;
			Add('INSERT INTO loans');
			Add('(movie, edition, loan_date, due_date, comment, location)');
			Add(Format('VALUES (%d, %d, ''%s'', ''%s'', ''%s'', %d)', [MovieCode, EditionCode, loan_date, due_date, edComment.text, loc_code]));
		end;
		RecordCount := ExecuteSQL(sl.text);
		f.ModalResult := mrOk;
	end;
	sl.Free;
end;

begin
	s:=GetLangStr(1335);
	f := TForm.Create(nil);
	f.Caption := GetLangStr(1439);
	f.BorderStyle := bsDialog;
	f.Position := poScreenCenter;
	f.Width:=180;
	f.Height:=200;
	f.AutoSize:=false;

	labLocation := TLabel.Create(f);
	labLocation.Name := 'labLocation';
	labLocation.Parent := f;
	labLocation.SetBounds(10, 10, 150, 20);
	labLocation.Caption := GetLangStr(178);

	comboLocation := TComboBox.Create(f);
	comboLocation.Name := 'comboLocation';
	comboLocation.Parent := f;
	comboLocation.SetBounds(10, 25, 150, 20);
	comboLocation.Style := csDropDownList;
	sl := TStringList.Create;
	with sl do begin
		Clear;
		Add('select distinct name from manuals');
		Add('where reference=10');
	end;
	RecordCount := ExecuteSQL(sl.text);
	for i:=1 to RecordCount do begin
		comboLocation.Items.Add(GetStringField('name'));
		GetNextRecord;
	end;

    with sl do begin
        Clear;
        Add('select m.name from loans l');
        Add('inner join manuals m on m.code=l.location');
        Add(format('where edition=%d', [EditionCode]));
	end;
	RecordCount := ExecuteSQL(sl.text);
	loc_name := '';
	if RecordCount > 0 then
		loc_name := GetStringField('m.name');
	if (loc_name <> '') then begin
		comboLocation.ItemIndex := comboLocation.Items.IndexOf(loc_name);
	end;

	sl.Free;

	labComment := TLabel.Create(f);
	labComment.Name := 'labComment';
	labComment.Parent := f;
	labComment.SetBounds(10, 55, 150, 20);
	labComment.Caption := GetLangStr(163);

	edComment := TEdit.Create(f);
	edComment.Name := 'edComment';
	edComment.Parent := f;
	edComment.SetBounds(10, 70, 150, 20);
	edComment.Text := '';

	labDueDate := TLabel.Create(f);
	labDueDate.Name := 'labDueDate';
	labDueDate.Parent := f;
	labDueDate.SetBounds(10, 95, 150, 20);
	labDueDate.Caption := GetLangStr(240) + format(' (%s)', [GetLangStr(1443)]);

	edDueDate := TEdit.Create(f);
	edDueDate.Name := 'edDueDate';
	edDueDate.Parent := f;
	edDueDate.SetBounds(10, 110, 150, 20);
	edDueDate.Text := '';

	b := TButton.Create(f);
	b.Name := 'btnOK';
	b.Parent := f;
	b.SetBounds(50, 140, 80, 25);
	b.Caption := '&OK';
	b.OnClick := @ButtonClick;

	f.ShowModal;
	f.Free;

	result:=s;
end;

function ProcessMovieReference(sl: TStringList; text: String; page: integer): String;
var
  i, j, kol, RecordCount, rating, page_width, LastCode, my_i, my_code: integer;
  s, description, year, director, writer, actor, bio, character, movie, movie_top: string;
  all, FileName, img, rate, BackgroundMovieRef: string;
  IMDBRating: double;
  ii, TotalItems, PageItems, lines, PicWidth, PicHeight, page_width_copy: integer;
  fl: boolean;
begin
	all := '';	
	
	BackgroundMovieRef := ImgPath + 'background-movies-ref.gif';
	BackgroundMovieRef := ReplaceStr(BackgroundMovieRef, '(', '%28');
	BackgroundMovieRef := ReplaceStr(BackgroundMovieRef, ')', '%29');
	BackgroundMovieRef := ReplaceStr(BackgroundMovieRef, ' ', '%20');

	CountedPages := 0;
	page_width:=GetHTMLWidth - WholePageBorder;
	
	RecordCount := ExecuteSQL(sl.text);	
	lines := RegReadInteger('LinesMovies', DefaultLinesMovies);
	//count how many items were listed on the previous pages
	TotalItems := CountItemsForPages(page_width, page, RecordCount, 1, lines, CoverHeight, StandardCoverWidth);
	i := ProcessedRecords;
	
	LastCode:=0;
	fl:=true;
	PageItems := 0;
	page_width_copy := page_width;
	movie := '';
	//list movies on the current page
	while (i<=RecordCount) and fl do begin
		my_code:=GetIntegerField('code');
		if (LastCode<>my_code) then begin
			LastCode:=my_code;
			rating:=GetIntegerField('m.rating');
			rate:='';
			PicHeight := GetIntegerField('i.height');
			if PicHeight > 0 then
				PicWidth := Round(GetIntegerField('i.width') * (CoverHeight / PicHeight)) + NormalImageBorders
			else
				PicWidth := StandardCoverWidth;
			page_width_copy := page_width_copy - PicWidth;
			if (page_width_copy < 0) then begin
				all := all + movie + '</tr></table></tr></td><tr><td align="center"><table class="ref-boxes"><tr>';
				movie := '';
				lines := lines - 1;
				page_width_copy := page_width - PicWidth;
			end;
			if (page<>0) and (lines <= 0) then
				fl:=false
			else begin
				if rating > 0 then begin
					for my_i:=1 to 10 do begin
						if my_i mod 2=1 then begin
							if my_i<=rating then
						rate:=rate+format('<img src="%sstar-left.gif" align="absmiddle" border="0">',  [ImgPath])
							else
						rate:=rate+format('<img src="%snot-star-left.gif" align="absmiddle" border="0">',  [ImgPath])
						end
						else begin
							if my_i<=rating then
						rate:=rate+format('<img src="%sstar-right.gif" align="absmiddle" border="0">',  [ImgPath])
							else
						rate:=rate+format('<img src="%snot-star-right.gif" align="absmiddle" border="0">',  [ImgPath])
						end;
					end;
				end;
				IMDBRating := GetFloatField('m.imdb_rating');

				FileName := GetImageFileName(GetStringField('i.path'), 'ThumbsHomeMovies', 'no-cover.gif', 0, CoverHeight);
				movie:=movie+'<td class="box-movie-ref" style="background:url('+BackgroundMovieRef+') repeat-x;">'+format('<a href="movie:%d"><img class="movie-cover" src="', [my_code])+FileName+'"></a>';
				
				if (rate<>'') and (RegReadInteger('ShowRating', 1) = 1) then
					movie:=movie+'<br>'+rate;
				movie := movie + '<p>';
				if IMDBRating <> 0 then
					movie:=movie+format('IMDB: %0.1f<br>', [IMDBRating]);
				//sequence number
				if TempReference = 22 then
					movie:=movie+GetLangStr(529)+IntToStr(GetIntegerField('m.series_nom')) + ': ';
				movie := movie+format('<a href="movie:%d">%s</a></p></td>', [my_code, GetStringField('m.title')]);
				
				PageItems:=PageItems+1;
				GetNextRecord;
				i := i+1;
			end;
		end
		else begin
			GetNextRecord;
			i:=i+1;
		end;
	end;//while
	
	TotalItems := TotalItems + PageItems;


  all:=all+movie+'</tr></table></td></tr>';
	all := all + '</table>';
	kol := 0;
	lines := RegReadInteger('LinesMovies', DefaultLinesMovies);
	if (page > 0) and (i < RecordCount) then begin
		//set the maximum number of pages to 2000
		TotalItems := TotalItems + CountItemsForPages(page_width, 2000, RecordCount, i, lines, CoverHeight, StandardCoverWidth);
		kol := CountedPages;
	end;
	
	//get the top of the page (we need to know how many movies were there)	
	movie_top:=GetPatternTop;
	movie_top:=movie_top + '<p class="title">' + text + format(' (%d)', [TotalItems]);
	movie_top:=movie_top+'</p></td>'+ClosePatternTop;
	movie_top := movie_top + Format('<tr><td><table class="content"><tr><td style="background:url(%s) repeat-x;">&nbsp;</td></tr>', [WhiteBarFile]);
	movie_top:=movie_top+'<tr><td align="center"><table class="ref-boxes"><tr>';

	case TempReference of
		1: s:='video_standard:'+IntToStr(TempReferenceCode);
		2: s:='media_format:'+IntToStr(TempReferenceCode);
		3: s:='media_type:'+IntToStr(TempReferenceCode);
		4: s:='aspect_ratio:'+IntToStr(TempReferenceCode);
		5: s:='resolution:'+IntToStr(TempReferenceCode);
		6: s:='subtitle:'+IntToStr(TempReferenceCode);
		7: s:='audio_track:'+IntToStr(TempReferenceCode);
		8: s:='genre:'+IntToStr(TempReferenceCode);
		9: s:='country:'+IntToStr(TempReferenceCode);
		10: s:='location:'+IntToStr(TempReferenceCode);
		11: s:='mpaa:'+IntToStr(TempReferenceCode);
		12: s:='studio:'+IntToStr(TempReferenceCode);
		13: s:='custom1:'+IntToStr(TempReferenceCode);
		14: s:='custom2:'+IntToStr(TempReferenceCode);
		15: s:='custom3:'+IntToStr(TempReferenceCode);
		16: s:='custom4:'+IntToStr(TempReferenceCode);
		17: s:='custom5:'+IntToStr(TempReferenceCode);
		18: s:='custom6:'+IntToStr(TempReferenceCode);
		19: s:='video_codec:'+IntToStr(TempReferenceCode);
		20: s:='disc_label:'+IntToStr(TempReferenceCode);
		22: s:='sequence:'+IntToStr(TempReferenceCode);
		1971: s:='year:'+IntToStr(TempReferenceCode);
    MY_RATING_REFERENCE: s := 'show_my_rating:' + IntToStr(TempReferenceCode);
		666: s:='userref:'+IntToStr(TempReferenceCode)+','+TempText;
		800: s:='userref:'+IntToStr(TempReferenceCode)+','+TempText;
	else
		s:='';
	end;
	if (page > 1) or (kol > 0) then begin
		all:=all+'<center><table class="navi"><td class="navi-border">'+format('<img src="%snavi-left.gif"></td><td style="background:url(%s) repeat-x;"><p>', [ImgPath, WhiteBarFile]);
		if (page>1) or (kol > 0) then
			all:=all+format('<a href="%s,%d">%s</a>   ', [s, 0, GetLangStr(1330)]);
		if page>1 then
			all:=all+format('<a href="%s,%d">%s</a>   ', [s, page-1, GetLangStr(1328)]);
		for i:=1 to page do begin
			if page=i then
				all:=all+format(' <b>%d</b> ', [i])
			else
				all:=all+format(' <a href="%s,%d">%d</a> ', [s, i, i]);
		end;
		for i:=(page+1) to (page+kol) do
			all:=all+format(' <a href="%s,%d">%d</a> ', [s, i, i]);
		if kol>0 then
			all:=all+format('   <a href="%s,%d">%s</a> ', [s, page+1, GetLangStr(1329)]);
		all:=all+format('</p></td><td class="navi-border"><img src="%snavi-right.gif"></td></table></center>', [ImgPath]);
	end;


	all:=movie_top+all+GetPatternBottom;	
	Result := all;
end;

begin

end.